//
//  ChangePasswordHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/6/28.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "ChangePasswordHttpCmd.h"
#import "ChangePasswordHttpResult.h"

static NSString *kActionUrl1 = @"/appEir/changPassWord";

@implementation ChangePasswordHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[ChangePasswordHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[ChangePasswordHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpChangePasswordHttpPostCmd_password = @"password";
NSString *const kHttpChangePasswordHttpPostCmd_userid = @"userid";
NSString *const kHttpChangePasswordHttpPostCmd_oldPsw = @"oldPsw";
NSString *const kHttpChangePasswordHttpPostCmd_attr = @"attr";
